
def random_user_query(query_type, limit):
    """
    This function generates a random user query using Peewee's ORM capabilities.

    :param query_type: The type of query to perform (e.g., 'select', 'count').
    :param limit: The limit of records to retrieve.
    :return: A Peewee query object based on the given parameters.
    """
    from peewee import *

    # Assuming we have a User model defined with fields: id, username, email, and join_date
    from models import User

    if query_type == 'select':
        return User.select().order_by RANDOM().limit(limit)
    elif query_type == 'count':
        return User.count()
    else:
        raise ValueError("Invalid query type. Use 'select' or 'count'.")



